# PHPCPDResultFormatter

This abstract class describes classes that format the results of a PHPCPD run.

package | phing.tasks.ext.phpcpd.formatter
author | Benjamin Schultz bschultz@proqrent.de
version | $Id: e8921b5a15fd23ce437471250c7161884560e202 $

### Methods

## Processes a list of clones.

    processClones(object $clones, \Project $project, boolean $useFile = false, \PhingFile|null $outFile = null)

abstract

### Arguments

#### $clones

`object`

#### $project

`\Project`

#### $useFile

`boolean`

#### $outFile

`\PhingFile|null`